#ifndef __CPU_H__
#define __CPU_H__

#include "xburst_types.h"

void flush_cache_all();
void handle_error_level();
void init_registers(u32 *, u32, void (*)(), u32[], u8);
void invoke_task(u8, u32 *, u32 *);
void enable_interrupts();
void init_interrupts();
void init_tlb();
void map_page(u32, u32, u32, u8, u8);
void init_page_table(u32, u32, u32, u32, u8, u8);
void map_page_miss(u32, u32, u8);
void map_page_index(u32, u32, u32, u8, u8, u32);
void unmap_page(u32, u32, u32, u8, u8);

#endif /* __CPU_H__ */
